> ## Documentation Index
> Fetch the complete documentation index at: https://docs.solanatracker.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Token Price

> 返回单个代币的价格信息。

## SDK Example

<CodeGroup>
  ```typescript SDK
  import { Client } from '@solana-tracker/data-api';

  const client = new Client({ apiKey: 'YOUR_API_KEY' });

  const data = await client.getPrice('6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN', true);

  ```
</CodeGroup>


## OpenAPI

````yaml /cn/data-api/openapi.json get /price
openapi: 3.1.0
info:
  title: Solana Tracker 数据 API
  description: Solana Tracker 数据 API：提供代币价格、持币地址、成交、图表、钱包数据、风险信号与市场分析等能力。
  version: 1.0.0
  contact:
    email: contact@solanatracker.io
servers:
  - url: https://data.solanatracker.io
    description: 生产环境
security:
  - apiKey: []
paths:
  /price:
    get:
      tags:
        - Price
      summary: Get Token Price
      description: 返回单个代币的价格信息。
      parameters:
        - name: token
          in: query
          required: true
          description: 代币地址
          schema:
            type: string
        - name: priceChanges
          in: query
          description: 返回截至约 24 小时内的涨跌幅。
          schema:
            type: boolean
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PriceResponse'
              example:
                price: 5.933132498211121
                priceQuote: 5.933132498211121
                liquidity: 288082694.430345
                marketCap: 5933128253.797433
                lastUpdated: 1760274023269
      x-codeSamples:
        - lang: typescript
          label: SDK
          source: >
            import { Client } from '@solana-tracker/data-api';


            const client = new Client({ apiKey: 'YOUR_API_KEY' });


            const data = await
            client.getPrice('6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN',
            true);
      x-code-samples:
        - lang: typescript
          label: SDK
          source: >
            import { Client } from '@solana-tracker/data-api';


            const client = new Client({ apiKey: 'YOUR_API_KEY' });


            const data = await
            client.getPrice('6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN',
            true);
components:
  schemas:
    PriceResponse:
      type: object
      properties:
        price:
          type: number
        liquidity:
          type: number
        marketCap:
          type: number
        lastUpdated:
          type: integer
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: 用于鉴权的 API Key

````